[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoOnParentHandleDestruction

Performs actions needed when the handle for the parent control is freed.

## Declaration

Source position: controls.pp line 1354

`protected procedure TControl.DoOnParentHandleDestruction; virtual;`

## Description

Has an empty implementation in TControl, and must be implement in descendent classes.

## See also

TGraphicControl.DoOnParentHandleDestruction |  | Performs actions when the handle for the parent control is freed.